import javax.swing.*;

public class DreiMax extends JFrame implements java.awt.event.ActionListener
{
	public DreiMax(String fensterTitel)
	{
		super(fensterTitel);
		//alle Komponenten müssen positioniert werden!!!!
		this.getContentPane().setLayout(null);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		JLabel label1 = new JLabel("ganze Zahl");
		label1.setBounds(20,30,100,20);
		
		JTextField tfEingabe = new JTextField();
		tfEingabe.setBounds(100,30,150,30);
		
		JButton bAbDafuer = new JButton("Ab Dafür");
		bAbDafuer.setBounds(100,65,150,30);
		bAbDafuer.addActionListener(this);
		
		JLabel label2 = new JLabel("alle Zahlen");
		label2.setBounds(20,100,100,20);
		
		JTextArea taAusgabe = new JTextArea();
		taAusgabe.setBounds(100,100,150,200);
		
		JLabel label3 = new JLabel("größte Zahl");
		label3.setBounds(300,100,100,20);
		
		JTextField tfAusgabe1 = new JTextField();
		tfAusgabe1.setBounds(300,120,100,30);
		
		JLabel label4 = new JLabel("mittlere Zahl");
		label4.setBounds(300,150,100,20);
		
		JTextField tfAusgabe2 = new JTextField();
		tfAusgabe2.setBounds(300,170,100,30);
		
		JLabel label5 = new JLabel("kleinste Zahl");
		label5.setBounds(300,200,100,20);
		
		JTextField tfAusgabe3 = new JTextField();
		tfAusgabe3.setBounds(300,220,100,30);
		
		JLabel label6 = new JLabel("Meldung");
		label6.setBounds(20,330,100,20);
		
		JTextField tfAusgabe4 = new JTextField();
		tfAusgabe4.setBounds(100,330,250,30);
		
		this.getContentPane().add(label1);
		this.getContentPane().add(label2);
		this.getContentPane().add(label3);
		this.getContentPane().add(label4);
		this.getContentPane().add(label5);
		this.getContentPane().add(label6);
		this.getContentPane().add(bAbDafuer);
		this.getContentPane().add(tfEingabe);
		this.getContentPane().add(taAusgabe);
		this.getContentPane().add(tfAusgabe1);
		this.getContentPane().add(tfAusgabe2);
		this.getContentPane().add(tfAusgabe3);
		this.getContentPane().add(tfAusgabe4);

	}
	public void actionPerformed(java.awt.event.ActionEvent e)
	{
		
	}
	public static void main(String[]args)
	{
		JFrame meinFenster = new DreiMax("Mein erstes Fenster");
		meinFenster.setBounds(200,100,450,450);		
		meinFenster.setVisible(true);
	}
}		